<script>
    export default {
        name: "home",
        components: {},
        data: function () {
            return { 
                
                tipi: ["Lavoro", "Impegno","Scadenza" ,"Extra/Svago", "Nota"],
                selezionato: ""

            };
        },
        mounted: function () {
            
            },
        created: function () { //main
            
        },
        activate() {
            this.carica();
        },
        
        methods: {
            carica() {
                if (localStorage.eventi) {
                    console.log(JSON.parse(localStorage.eventi));
                    this.calendario = JSON.parse(localStorage.eventi);
                    this.calendario.sort(function(a, b) {
                        return new Date(a.start).valueOf() - new Date(b.start).valueOf();
                    });
                }
                if (localStorage.Notes) {
                    this.notes = JSON.parse(localStorage.Notes);
                }
            },
        },
    };
</script>

<template>
    <div style="margin-top:20px; margin-right:20px">
        <p>
            Selezione Categoria:
            <select v-model="selezionato" @change="carica()">
                <option>Tutte</option>
                <option v-for="typ in this.tipi" :key="typ" >{{ typ }}</option>
            </select>    
        </p>
        
        <table>
            <tr> 
                <th style="width:300px;heigth:60px;font-size:20px">Evento</th>
                <th style="width:200px;heigth:60px;font-size:20px">Categoria</th>
                <th style="width:150px;heigth:60px;font-size:20px">Data Inizio</th>
                <th style="width:150px;heigth:60px;font-size:20px">Data Fine</th>
            </tr>
            <tr v-for="evento in this.calendario" :key="evento"> 
                <td v-if="selezionato == tipi[evento.extendedProps.tipo] || selezionato == 'Tutte'"> {{evento.title}} </td>
                <td v-if="selezionato == tipi[evento.extendedProps.tipo] || selezionato == 'Tutte'"> {{tipi[evento.extendedProps.tipo]}} </td>
                <td v-if="selezionato == tipi[evento.extendedProps.tipo] || selezionato == 'Tutte'"> {{evento.start}} </td>
                <td v-if="selezionato == tipi[evento.extendedProps.tipo] || selezionato == 'Tutte'"> {{evento.end}} </td>
            </tr>
        </table>
        
        <br>
        
        <table>
            <tr> 
                <th style="width:800px;heigth:60px;font-size:20px">Note</th>
            </tr>
            <tr v-for="annotazioneDisciplinare in this.notes" :key="annotazioneDisciplinare"> 
                <td> {{annotazioneDisciplinare.testo}} </td>
            </tr>
        </table>
    </div>

  
</template>

<style lang="css">

table, th, td {
  border: 1px solid black;
  border-collapse: collapse;
  font-family: Arial;

}
th {
  background-color: rgb(219, 78, 78);
}

</style>
